eBay Product Detail
eBay Product Detail is used to fetch eBay product detail data by product ID.
- Fetch eBay product details by product ID
- Support region-based requests
- Return pricing, seller, images, attributes, and shipping information
- Accept multiple product IDs in one request
Use XCrawl to Fetch eBay Product Details
Usage
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY'\
-H 'Content-Type: application/json' \
-d '{
"engine": "ebay_product_detail",
"location": "US",
"product_id_list": ["286392118366"]
}'Request parameter notes:
enginemust beebay_product_detaillocationspecifies the target regionproduct_id_listaccepts one or more eBay product IDs
Response Example
{
"result": [
{
"title": "UMIDIGI G9 5G 12GB+128GB 6.75'' Dual SIM 50MP Android 14 Unlocked Smartphone",
"url": "https://www.ebay.com/itm/286392118366",
"price": 140.19,
"currency": "USD",
"condition": "New",
"shipping": "Free Standard Shipping",
"delivery": "Estimated between Mon, Aug 11 and Fri, Aug 15",
"seller_id": "umidigiusdirectstore",
"seller_name": "umidigi-us-direct-store",
"payments": [
{
"name": "PayPal"
}
],
"images": [
{
"url": "https://i.ebayimg.com/images/g/v2IAAOSwabdny~DH/s-l140.webp"
}
]
}
]
}Parameters
Required Parameters
| Parameter | Type | Description |
|---|---|---|
location | string | Specifies the target region. |
product_id_list | array | Accepts one or more eBay product IDs. |
Parameter Notes
locationdefaults toUSlocationsupports multiple region values such asUS,HK,CA,GB, andJPproduct_id_listdefaults to an empty array and should contain eBay product IDs
Response Fields
| Field | Type | Description |
|---|---|---|
title | string | Product title. |
url | string | Product detail page URL. |
price | string | Product price. |
currency | string | Price currency. |
condition | string | Product condition. |
shipping | string | Shipping details. |
delivery | string | Estimated delivery information. |
returns | string | Return policy text. |
sold_count | string | Number of units sold. |
seller_id | string | Seller ID. |
seller_name | string | Seller name. |
seller_url | string | Seller page URL. |
payments | array | Payment method list. |
images | array | Product image list. |
attributes | array | Product attribute list. |
people_also_viewed | array | People also viewed recommendations. |
similar_items | array | Similar item list. |
customers_ultimately_bought | array | Customers ultimately bought item list. |
Payment Fields
Each item in payments[] typically includes:
| Field | Type | Description |
|---|---|---|
name | string | Payment method name. |
Image Fields
Each item in images[] typically includes:
| Field | Type | Description |
|---|---|---|
url | string | Image URL. |
Attribute Fields
Each item in attributes[] typically includes:
| Field | Type | Description |
|---|---|---|
name | string | Attribute name. |
value | string | Attribute value. |
Recommendation Item Fields
Each item in people_also_viewed[], similar_items[], and customers_ultimately_bought[] typically includes:
| Field | Type | Description |
|---|---|---|
title | string | Product title. |
price | string | Product price. |
currency | string | Price currency. |
url | string | Product URL. |
image | string | Product image URL. |
